# ncurses 5.9 - patch 20110925 - Thomas E. Dickey
#
# ------------------------------------------------------------------------------
#
# Ncurses 5.9 is at
# 	ftp.gnu.org:/pub/gnu
#
# Patches for ncurses 5.9 are in the subdirectory
# 	ftp://invisible-island.net/ncurses/5.9
#
# ------------------------------------------------------------------------------
# ftp://invisible-island.net/ncurses/5.9/ncurses-5.9-20110925.patch.gz
# patch by Thomas E. Dickey <dickey@invisible-island.net>
# created  Sat Sep 24 23:55:13 UTC 2011
# ------------------------------------------------------------------------------
# NEWS                        |    5 ++++-
# dist.mk                     |    4 ++--
# ncurses/tinfo/db_iterator.c |    3 ++-
# ncurses/tinfo/read_entry.c  |    4 ++--
# 4 files changed, 10 insertions(+), 6 deletions(-)
# ------------------------------------------------------------------------------
Index: NEWS
Prereq:  1.1788 
--- ncurses-5.9-20110924+/NEWS	2011-09-24 20:18:22.000000000 +0000
+++ ncurses-5.9-20110925/NEWS	2011-09-24 23:49:30.000000000 +0000
@@ -25,7 +25,7 @@
 -- sale, use or other dealings in this Software without prior written        --
 -- authorization.                                                            --
 -------------------------------------------------------------------------------
--- $Id: NEWS,v 1.1788 2011/09/24 20:18:22 tom Exp $
+-- $Id: NEWS,v 1.1789 2011/09/24 23:49:30 tom Exp $
 -------------------------------------------------------------------------------
 
 This is a log of changes that ncurses has gone through since Zeyd started
@@ -45,6 +45,9 @@
 Changes through 1.9.9e did not credit all contributions;
 it is not possible to add this information.
 
+20110925
+	+ add a missing "else" in changes to _nc_read_tic_entry().
+
 20110924
 	+ modify _nc_read_tic_entry() so that hashed-database is checked before
 	  filesystem.
Index: dist.mk
Prereq:  1.835 
--- ncurses-5.9-20110924+/dist.mk	2011-09-24 14:14:47.000000000 +0000
+++ ncurses-5.9-20110925/dist.mk	2011-09-24 23:48:26.000000000 +0000
@@ -25,7 +25,7 @@
 # use or other dealings in this Software without prior written               #
 # authorization.                                                             #
 ##############################################################################
-# $Id: dist.mk,v 1.835 2011/09/24 14:14:47 tom Exp $
+# $Id: dist.mk,v 1.836 2011/09/24 23:48:26 tom Exp $
 # Makefile for creating ncurses distributions.
 #
 # This only needs to be used directly as a makefile by developers, but
@@ -37,7 +37,7 @@
 # These define the major/minor/patch versions of ncurses.
 NCURSES_MAJOR = 5
 NCURSES_MINOR = 9
-NCURSES_PATCH = 20110924
+NCURSES_PATCH = 20110925
 
 # We don't append the patch to the version, since this only applies to releases
 VERSION = $(NCURSES_MAJOR).$(NCURSES_MINOR)
Index: ncurses/tinfo/db_iterator.c
Prereq:  1.9 
--- ncurses-5.9-20110924+/ncurses/tinfo/db_iterator.c	2010-12-25 23:00:25.000000000 +0000
+++ ncurses-5.9-20110925/ncurses/tinfo/db_iterator.c	2011-09-24 23:44:58.000000000 +0000
@@ -38,7 +38,7 @@
 
 #include <tic.h>
 
-MODULE_ID("$Id: db_iterator.c,v 1.9 2010/12/25 23:00:25 tom Exp $")
+MODULE_ID("$Id: db_iterator.c,v 1.10 2011/09/24 23:44:58 tom Exp $")
 
 #define HaveTicDirectory _nc_globals.have_tic_directory
 #define KeepTicDirectory _nc_globals.keep_tic_directory
@@ -210,6 +210,7 @@
 	    _nc_last_db();
 	}
 	if (result != 0) {
+	    T(("_nc_next_db %d %s", *state, result));
 	    return result;
 	}
     }
Index: ncurses/tinfo/read_entry.c
Prereq:  1.111 
--- ncurses-5.9-20110924+/ncurses/tinfo/read_entry.c	2011-09-24 20:15:12.000000000 +0000
+++ ncurses-5.9-20110925/ncurses/tinfo/read_entry.c	2011-09-24 23:47:45.000000000 +0000
@@ -41,7 +41,7 @@
 
 #include <tic.h>
 
-MODULE_ID("$Id: read_entry.c,v 1.111 2011/09/24 20:15:12 tom Exp $")
+MODULE_ID("$Id: read_entry.c,v 1.112 2011/09/24 23:47:45 tom Exp $")
 
 #define TYPE_CALLOC(type,elts) typeCalloc(type, (unsigned)(elts))
 
@@ -515,7 +515,7 @@
 	code = _nc_read_file_entry(filename, tp);
     }
 #if USE_TERMCAP
-    if (code != TGETENT_YES) {
+    else if (code != TGETENT_YES) {
 	code = _nc_read_termcap_entry(name, tp);
 	sprintf(filename, "%.*s", PATH_MAX - 1, _nc_get_source());
     }
